Subject: bug#16184: 24.3.50; edebug and eval-when-compiler don't work together

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 20 Dec 2013 17:28:45 +0900

Anders Lindgren wrote:
> Unfortunately, the problem still seems to be there. I tried this on
> latest trunk (as of yesterday) with the patch applied and I still get
> an error when I do C-u C-M-x on the code I originally supplied.

Could you make sure that the edebug spec of the `eval-when-compile'
macro definition (i.e. in byte-run.el) has been changed into
`(&rest def-form)'?
Otherwise please try `C-M-x' on the patched `eval-when-compile' macro.